> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Email From Template

> Sends an email based on an email template to a player's contact email 

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| EmailClientCanceledTask | 1317 |
| EmailClientTimeout | 1316 |
| EmailTemplateMissing | 1318 |
| NoContactEmailAddressFound | 1325 |
| SmtpAddonNotEnabled | 1341 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/SendEmailFromTemplate
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/SendEmailFromTemplate:
    post:
      tags:
        - Account Management
      summary: Send Email From Template
      description: |
        Sends an email based on an email template to a player's contact email 

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | EmailClientCanceledTask | 1317 |
        | EmailClientTimeout | 1316 |
        | EmailTemplateMissing | 1318 |
        | NoContactEmailAddressFound | 1325 |
        | SmtpAddonNotEnabled | 1341 |
      operationId: SendEmailFromTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEmailFromTemplateRequest'
        description: >-
          Sends an email for only players that have contact emails associated
          with them. Takes in an email template ID specifyingthe email template
          to send.
      responses:
        '200':
          $ref: '#/components/responses/SendEmailFromTemplateResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    SendEmailFromTemplateRequest:
      description: >-
        Sends an email for only players that have contact emails associated with
        them. Takes in an email template ID specifyingthe email template to
        send.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        EmailTemplateId:
          description: The email template id of the email template to send.
          type: string
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - EmailTemplateId
        - PlayFabId
      example:
        EmailTemplateId: B53CA15D92D2E331
        PlayFabId: A01DC15D8E12E230
    SendEmailFromTemplateResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    SendEmailFromTemplateResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/SendEmailFromTemplateResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Send Email From Template](/services/playfab/api-references/rest/server/account-management/send-email-from-template.md)
- [PFAccountManagementSendEmailFromTemplateRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementsendemailfromtemplaterequest.md)
- [PFAccountManagementServerSendEmailFromTemplateAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementserversendemailfromtemplateasync.md)
- [Email messaging quickstart](/services/playfab/live-service-management/game-configuration/title-communications/emails/quickstart.md)
- [Content & Configuration Reads Meter API Description](/services/playfab/pricing/meters/file-reads.md)
